FROM git.zgfxrc.cn/registry/nginx:1.25-alpine-slim

RUN sed -i 's/dl-cdn.alpinelinux.org/mirrors.ustc.edu.cn/g' /etc/apk/repositories \
  && apk add --no-cache tzdata \
  && cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime \
  && apk del tzdata \
  && echo "*/30 * * * * ntpd -d -q -n -p ntp.aliyun.com" >> /etc/crontabs/root

ENV LISTEN_PORT=80\
  SERVER_NAME=localhost\
  PROXY_PASS=http://127.0.0.1

ADD ./docker/ui.conf /etc/nginx/templates/default.conf.template

COPY ./dist/ /html
RUN chmod -R 755 /html
